Z3 |

Public Member Functions
Z3Exception Class Reference

The exception base class for error reporting from Z3 More...

Inheritance diagram for Z3Exception:

## Public Member Functions
| Z3Exception ()
| Constructor. More...
| Z3Exception (string message)
| Constructor. More...
| Z3Exception (string message, System.Exception inner)
| Constructor. More...

## Detailed Description

The exception base class for error reporting from Z3

Definition at line 31 of file Z3Exception.cs.

## Constructor & Destructor Documentation

## ◆ Z3Exception() [1/3]

Z3Exception | ( |  | ) |
| inline

Constructor.

Definition at line 36 of file Z3Exception.cs.

36: base() { }

## ◆ Z3Exception() [2/3]

Z3Exception | ( | string | message | ) |
| inline

Constructor.

Definition at line 41 of file Z3Exception.cs.

41: base(message) { }

## ◆ Z3Exception() [3/3]

Z3Exception | ( | string | message,
|  | System.Exception | inner
| ) |  |
| inline

Constructor.

Definition at line 46 of file Z3Exception.cs.

46: base(message, inner) { }